summaryrefslogtreecommitdiff
path: root/home/xyz/.local/bin/loop
diff options
context:
space:
mode:
Diffstat (limited to 'home/xyz/.local/bin/loop')
-rwxr-xr-xhome/xyz/.local/bin/loop26
1 files changed, 26 insertions, 0 deletions
diff --git a/home/xyz/.local/bin/loop b/home/xyz/.local/bin/loop
new file mode 100755
index 00000000..7922582a
--- /dev/null
+++ b/home/xyz/.local/bin/loop
@@ -0,0 +1,26 @@
+#!/bin/sh
+# my For loop
+# I can't find good one character name :(
+# maybe rename it to loop
+
+while getopts t: opt; do
+ case $opt in
+ t) time="$OPTARG";;
+ \?) exit 1;;
+ esac
+done
+shift $((OPTIND-1))
+
+while :; do
+ # suggested by https://github.com/koalaman/shellcheck/wiki/SC2294
+ "$@"
+ sleep "${time:-1}"
+done
+
+# tests?
+#f ls -lah -- -l
+#f printf 'echo 1; echo 2'
+#f printf 'haha %d lala' 10
+
+# tips
+#f eval 'echo 1; echo 2'